package com.ag.entity.account;


import com.ag.base.ISerializable;

import java.util.Date;

public class SerialConfig implements ISerializable {

  private String id;
  private String code;
  private String description;
  private String prefix;
  private String postfix;
  private Integer numLength;
  private String tenancyId;
  private String createdBy;
  private Date createdOn;
  private String updatedBy;
  private Date updatedOn;
  private Integer validFlag;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }

  public String getPostfix() {
    return postfix;
  }

  public void setPostfix(String postfix) {
    this.postfix = postfix;
  }

  public Integer getNumLength() {
    return numLength;
  }

  public void setNumLength(Integer numLength) {
    this.numLength = numLength;
  }

  public String getTenancyId() {
    return tenancyId;
  }

  public void setTenancyId(String tenancyId) {
    this.tenancyId = tenancyId;
  }

  public String getCreatedBy() {
    return createdBy;
  }

  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public Date getCreatedOn() {
    return createdOn;
  }

  public void setCreatedOn(Date createdOn) {
    this.createdOn = createdOn;
  }

  public String getUpdatedBy() {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy) {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedOn() {
    return updatedOn;
  }

  public void setUpdatedOn(Date updatedOn) {
    this.updatedOn = updatedOn;
  }

  public Integer getValidFlag() {
    return validFlag;
  }

  public void setValidFlag(Integer validFlag) {
    this.validFlag = validFlag;
  }
}
